Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1767730 (CVE-2019-18424) - CVE-2019-18424 xen: passed through PCI devices may corrupt host memory after deassignment leading to privilege escalation
Summary: CVE-2019-18424 xen: passed through PCI devices may corrupt host memory after ...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2019-18424
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1767731
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-01 09:04 UTC by Marian Rehak
Modified: 2021-02-16 21:07 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Xen. A PCI device assigned to an untrusted domain can be programmed to an arbitrary address in DMA. When the guest domain is removed, the device is assigned back to dom0 allowing any in-flight DMA to potentially target critical host data. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2020-02-24 15:17:40 UTC
Embargoed:


Attachments (Terms of Use)

Description Marian Rehak 2019-11-01 09:04:50 UTC
When a PCI device is assigned to an untrusted domain, it is possible for that domain to program the device to DMA to an arbitrary address. The IOMMU is used to protect the host from malicious DMA by making sure that the device addresses can only target memory assigned to the guest. However, when the guest domain is torn down the device is assigned back to dom0, thus allowing any in-flight DMA to potentially target critical host data.

Source: Xen Security Team

Comment 1 Marian Rehak 2019-11-01 09:05:03 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1767731]

Comment 2 Marian Rehak 2019-11-01 09:06:47 UTC
External References:

http://xenbits.xen.org/xsa/advisory-302.html


Note You need to log in before you can comment on or make changes to this bug.